Bug 177729 - need manual or automatic redirects for old content
need manual or automatic redirects for old content
Status: CLOSED WONTFIX
Product: Fedora Infrastructure
Classification: Retired
Component: website (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Barnes
Elliot Lee
http://fedora.redhat.com/docs/projects/*
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-13 10:53 EST by Karsten Wade
Modified: 2007-04-18 13:36 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-23 10:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Karsten Wade 2006-01-13 10:53:19 EST
We have project pages that need to redirect from the old to the new structure:

e.g.:

web/html/project/translations/ => web/html/About/Projects/translations/
...

Should we do manual, click-here redirects?  Or do we have something more
automagic we can do?  I'm not against telling Apache directly, if that works better.
Comment 1 Rahul Sundaram 2006-01-13 11:22:02 EST
I would suggest doing something similar to linuxdoc.org to tldp.org redirects
which are automatic but with a header on top ack the redirect

click on http://linuxdoc.org for a demo. 
Comment 2 Patrick Barnes 2006-05-23 10:49:22 EDT
I think that the automatic redirects which provide notifications are nice, but 
unfortunately impossible in our current setup.  The pages are rendered 
automatically by a cron job.  They are served statically.  This prevents 
dynamic page creation and keeps us from using PHP to create automatic 
redirects.  Directly altering the Apache configuration is not particularly 
scalable.  The current solution is manual redirects.  We have a very simple 
template system in place, and I gave it an update to make it more manageable 
earlier today.  Until the current infrastructure is replaced, that's really 
the best we can do.  Once that infrastructure is replaced, we should have 
better redirection capabilities.

I'm closing this as WONTFIX.  Consider this a lesson hard-learned for our 
team.

Note You need to log in before you can comment on or make changes to this bug.